<?php

namespace EventPortal\Http\Controllers\Admin\EventVenue;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\EventVenue\Actions\DisassociateFromEvent;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;

class DisassociateFromEventController extends Controller
{
    public function __invoke(Request $request, Event $event, DisassociateFromEvent $action): RedirectResponse
    {
        $action->execute($event, $request->all());
        return redirect()->route('admin.event.venue.index', $event);
    }
}
